<?xml version="1.0" encoding="utf-8"?>
<creole>
    <files>
        <file filelist='kanboard' name='/etc/eole/eole-db.d/kanboard-db.yml' rm='True' mkdir='True'/>
        <file filelist='kanboard-bareos' name='/etc/bareos/bareosfichiers.d/kanboard.conf' source='kanboard-bareos.conf' rm='True'/>
    </files>

	<containers>
        <container name='web'>
            <package>kanboard-apps</package>
			<!-- service de configuration apache -->
			<service method="apache" servicelist="kanboard">kanboard</service>

			<!-- template -->
			<file filelist='kanboard' name='/etc/apache2/sites-available/kanboard' source='kanboard-apache.conf' />
            <file filelist='kanboard' name='/var/www/html/kanboard/config.php' source='kanboard-config.php' rm='True'/>
		</container>
	</containers>

	<variables>
        <family name='applications web'>
			<variable name='activer_kanboard' type='oui/non' description='Activer kanboard'>
				<value>oui</value>
			</variable>
		</family>

        <family name='EoleDB' icon='database' mode='expert'>
            <variable type='string' name='kanboard_db_mode' description='Serveur de base de données à utiliser'/>
            <variable type='string' name='kanboard_dbserver' description='Adresse du serveur de base de données'/>
            <variable type='number' name='kanboard_dbport' description="Port d'écoute du serveur de base de données"/>
            <variable type='string' name='kanboard_allow_hosts' description="Hôtes autorisés à utiliser la base de données" multi='True'/>
            <variable type='string' name='kanboard_dbuser' description='Utilisateur du serveur de base de données'/>
            <variable type='string' name='kanboard_dbpass' description='Fichier de mot de passe du serveur'/>
        </family>	

        <separators>
            <separator name="kanboard_db_mode">Paramètres EoleDB associés à Kanboard</separator>
        </separators>          
	</variables>

	<constraints>
        <condition name='hidden_if_in' source='activer_apache'>
            <param>non</param>
            <target type='filelist'>kanboard</target>
            <target type='filelist'>kanboard-bareos</target>
            <target type='servicelist'>kanboard</target>
        </condition>

		<condition name='hidden_if_in' source='activer_kanboard'>
			<param>non</param>
			<target type='filelist'>kanboard</target>
			<target type='filelist'>kanboard-bareos</target>
			<target type='servicelist'>kanboard</target>
		</condition>

        <condition name='hidden_if_in' source='activer_bareos_dir' fallback='True'>
            <param>non</param>
            <target type='filelist'>kanboard-bareos</target>
		</condition>

        <check name='valid_enum' target='kanboard_db_mode'>
            <param>['default', 'externe', 'local']</param>
        </check>
        <condition name='disabled_if_in' source='kanboard_db_mode'>
            <param>local</param>
            <target type='variable'>kanboard_dbserver</target>
            <target type='variable'>kanboard_dbuser</target>
            <target type='variable'>kanboard_dbport</target>
            <target type='variable'>kanboard_dbpass</target>
        </condition>
        <condition name='disabled_if_in' source='kanboard_db_mode'>
            <param>default</param>
            <target type='variable'>kanboard_dbserver</target>
            <target type='variable'>kanboard_dbuser</target>
            <target type='variable'>kanboard_dbport</target>
            <target type='variable'>kanboard_dbpass</target>
            <target type='variable'>kanboard_allow_hosts</target>
        </condition>
	</constraints>
	<help>
		<variable name='activer_kanboard'>Outils de gestion de projets</variable>
        <variable name='kanboard_db_mode'>Utilisation ou non d'un paramètrage spécifique de base de données pour kanboard</variable>
        <variable name='kanboard_dbserver'>Adresse du serveur de base de données par défaut de kanboard</variable>
        <variable name='kanboard_dbport'>Port d'écoute du serveur de base de données par défaut de kanboard</variable>
        <variable name='kanboard_dbuser'>Nom d'utilisateur d'administration du serveur de base de données par défaut de kanboard</variable>
        <variable name='kanboard_dbpass'>Fichier contenant le mot de passe de l'administrateur du serveur de base de données par défaut de kanboard</variable>
        <variable name='kanboard_allow_hosts'>Adresses IP avec lesquelles les utilisateurs de la base de données de kanboard sont suceptibles de se connecter</variable>
	</help>
</creole>
